package org.ow2.novabpm.identity;

import java.security.Permission;

/**
 * @author "Pierre Vigneras"
 * @date Nov 28, 2007
 */
public final class DummyPermission extends Permission {

  DummyPermission(String string) {
    super(string);
  }

  public DummyPermission() {
    this("dummy");
  }

  @Override
  public boolean equals(Object obj) {
    if (obj instanceof Permission)
      return ((Permission) obj).getName().equals("Dummy");
    return false;
  }

  @Override
  public String getActions() {
    return null;
  }

  @Override
  public int hashCode() {
    return 0;
  }

  @Override
  public boolean implies(Permission permission) {
    return false;
  }
}